=== debian/changelog ===
ocp (1:3.1.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: drop Rules-Requires-Root.
  * d/watch: update to version 5.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sat, 17 Jan 2026 09:04:32 +0100
