=== debian/control ===
Source: ocp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dpkg (>= 1.15.4),
               fonts-unifont,
               libadplug-dev (>= 2.3.1),
               libancient-dev,
#               libbinio-dev (>= 1.5),
               libsdl2-dev,
               libcjson-dev,
               libasound2-dev,
               libbz2-dev,
               libdiscid-dev,
               libjpeg-dev,
               libpng-dev,
               libfreetype-dev,
               libflac-dev,
               libgme-dev,
               libid3tag0-dev,
               libmad0-dev,
               libncurses-dev,
               libogg-dev,
               libsidplay1-dev,
               libvorbis-dev,
               shared-mime-info,
               texinfo,
               xa65,
               zlib1g-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/ocp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ocp
Homepage: https://stian.cubic.org/project-ocp.php

Package: opencubicplayer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sensible-utils
Recommends: freepats
Provides: audio-mixer, mp3-decoder, mp3-encoder, x-audio-mixer
Description: UNIX port of Open Cubic Player
 This is a port of the Open Cubic Player to UNIX from DOS. Provides a
 nice textbased frontend, with some few optional features in graphical.
 Plays modules, sids, wave, audio CD, midi, ogg, flac, adlib, mp3, ahx,
 hvl, and ym.
