=== debian/changelog ===
ocp (1:3.1.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: drop libbinio-dev from build-depends.
  * d/patches: dropped, added fix-name.
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Sun, 18 Jan 2026 09:51:16 +0100
