=== filesel/Makefile ===
--- 
+++ 
@@ -54,7 +54,8 @@
 	../types.h \
 	../boot/psetting.h \
 	../filesel/dirdb.h \
-	../stuff/file.h
+	../stuff/file.h \
+	../stuff/utf-16.h
 	$(CC) $< -o $@ -c
 
 adbmeta-test$(EXE_SUFFIX): adbmeta-test.c adbmeta.c adbmeta.h \
@@ -95,6 +96,7 @@
 	../stuff/compat.h \
 	../stuff/file.h \
 	../stuff/poutput.h \
+	../stuff/utf-16.h \
 	../stuff/utf-8.h \
 	dirdb.h \
 	mdb.h
@@ -432,7 +434,8 @@
 	../stuff/compat.h \
 	../stuff/file.h \
 	../stuff/imsrtns.h \
-	../stuff/latin1.h
+	../stuff/latin1.h \
+	../stuff/utf-16.h
 	$(CC) $< -o $@ -c
 
 mdb-test$(EXE_SUFFIX): mdb-test.c \
@@ -466,6 +469,7 @@
 	../stuff/file.h \
 	../stuff/piperun.h \
 	../stuff/poutput.h \
+	../stuff/utf-16.h \
 	../stuff/utf-8.h
 	$(CC) $< -o $@ -c $(LIBCJSON_CFLAGS)
 
@@ -532,9 +536,5 @@
 	musicbrainz.h \
 	pfilesel.h \
 	../stuff/compat.h \
+	../stuff/file.h \
 	../stuff/framelock.h \
-	../stuff/imsrtns.h \
-	../stuff/piperun.h \
-	../stuff/poutput.h \
-	../stuff/utf-8.h \
-	../stuff/utf-16.h
