=== debian/changelog ===
ocp (1:3.1.2+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 29 Jan 2026 21:45:23 +0100
